# -------------------- #
# PREPARE
# -------------------- #
prepare:docker_nomad:init_plugins:
  extends: .cache:packer
  stage: prepare
  script:
    - packer init -only='docker-nomad.*' packer/docker-nomad
  interruptible: true

# -------------------- #
# HCL VALIDATE
# -------------------- #
hcl_validate:docker_nomad:validate_config:
  extends: .cache:packer
  stage: hcl_validate
  needs:
    - job: prepare:docker_nomad:init_plugins
      artifacts: true
  script:
    - packer init -only='docker-nomad.*' packer/docker-nomad
    - packer validate -syntax-only -only='docker-nomad.*' packer/docker-nomad
  interruptible: true

